# $Revision: 1.11 $, $Date: 2004/04/26 19:31:29 $
Summary:	Major mode for editing RPM .spec files
Summary(pl):	Tryb gwny do edycji RPM-owych plikw .spec
Name:		xemacs-spec-mode-pkg
Version:	0.09
Release:	2
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	1e8f586c183deda83c284a2ac2a71bae
#Source1:	http://www.xemacs.org/~stigb/rpm-spec-mode.el
Requires:	xemacs
Requires:	xemacs-pc-pkg
Requires:	xemacs-cc-mode-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%description
Major mode for editing RPM .spec files.

%description -l pl
Tryb gwny do edycji RPM-owych plikw .spec.

%prep
%setup  -q -c %{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/spec-mode

install rpm-spec-mode.el  $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/spec-mode

cat <<EOF >$RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/spec-mode/auto-autoloads.el
(autoload 'rpm-spec-mode "rpm-spec-mode.el" "RPM spec mode." t)
(setq auto-mode-alist (append '(("\\\\.spec" . rpm-spec-mode))
                                auto-mode-alist))

(add-hook 'rpm-spec-mode-hook 'turn-on-font-lock)
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/xemacs-packages/lisp/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-spec-mode-pkg.spec,v $
Revision 1.11  2004/04/26 19:31:29  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.10  2003/06/23 11:48:47  ankry
- md5

Revision 1.9  2003/05/25 06:28:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/02/23 05:20:04  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:30:04  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:15:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/06/15 10:37:27  klakier
- ver 0.09

Revision 1.4  2001/03/15 23:45:45  kloczek
- copy Summary to %description.

Revision 1.3  2001/03/15 23:23:16  klakier
- typo

Revision 1.2  2001/03/15 23:22:13  klakier
- ver 0.08a

Revision 1.1  2001/03/15 23:19:20  klakier
- separated from xemacs-pld-extras
